Agent Email
List email domains
GET /v1/agent-email/domains · SDK listAgentEmailDomains · CLI deployments inbox-domain list
GET
Requires agent-email:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$AgentEmailDomainPageResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/agent-email/domains" \ -H "x-deployments-environment: string"{ "items": [ { "createdAt": "2019-08-24T14:15:22Z", "dnsRecords": [ { "name": "string", "priority": 0, "type": "CNAME", "value": "string" } ], "domain": "string", "failureReason": "string", "id": "string", "lastCheckedAt": "2019-08-24T14:15:22Z", "mailFromDomain": "string", "organizationId": "string", "placementId": "string", "providerIdentity": "string", "providerManaged": true, "providerMetadata": { "property1": null, "property2": null }, "status": "failed", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}